IntegrationsShopify

Get one inventory item with its stock levels at the first 50 locations (available, on hand, committed, incoming, reserved).

POST
/integrations/connections/{connection_id}/providers/shopify/inventory-items/get

Get one inventory item with its stock levels at the first 50 locations (available, on hand, committed, incoming, reserved).

Authorization

bearerApiKey
AuthorizationBearer <token>

Create a scoped API key in the Adlass settings.

In: header

Path Parameters

connection_id*string

Resource identifier: connection_id.

Formatuuid

Header Parameters

X-Request-Id?string

Optional correlation identifier.

Lengthlength <= 128

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/integrations/connections/123e4567-e89b-42d3-a456-426614174000/providers/shopify/inventory-items/get" \  -H "Content-Type: application/json" \  -d '{    "inventory_item_id": "example"  }'
{  "id": "example",  "sku": "example",  "tracked": false,  "requires_shipping": false,  "unit_cost": {    "amount": "example",    "currency_code": "example"  },  "country_code_of_origin": "example",  "harmonized_system_code": "example",  "variant_id": "example",  "product_id": "example",  "variant_title": "example",  "created_at": "example",  "updated_at": "example",  "levels": []}